/** 
 * SilverStripe Immobilienwurm Theme
 * http://www.silverstripe.com
 *
 * This typography file is included in the WYSIWYG editor and the front end. It provides
 * a place to add link styles and font styles you would like in the CMS and the Front End.
 */

 
/* GENERIC STYLES 
-------------------------------------------- */
:focus {
	outline: 0;
} 
.typography * {
	font-family: 'Verdana'; 
	letter-spacing: 0px;
}

.typography .spacer10 {
	height: 10px;
	}
.typography .spacer20 {
	height: 10px;
	margin-bottom: 10px;
	border-bottom: 1px #999 solid;
}
	
.typography .clear {
	clear: both;
	margin: 0;
	padding: 0;
	line-height: 0;
}

hr {
	border: 0;
	width: 100%;
	color: #693;
	background-color: #693;
	height: 1px;
	margin: 20px 0;
	margin: 10px 0 30px 0;
	clear: both;
}

/* PARAGRAPHS 
-------------------------------------------- */
.typography p { 
 	color: #333;
 	line-height: 18px;
 	font-size: 14px;
	/*margin: 0 0 18px 0;*/
	margin: 0;
}


.typography div.captionImage p.caption {
	font-size: 10px;
	line-height: 12px;
	padding-top: 5px;
	text-align: left;
}
#LetterList {
	margin: 10px 0 20px 0;
}
#LetterList ul {
	width: 822px;
	margin: 0px auto;
}
#LetterList ul li {
	display: inline; 
}
#LetterList ul li a.active {
	color: #693;
}
.typography dl {
	margin-bottom: 10px;
}
.typography dl dt {
	color: #693;
	font-size: 12px;
	letter-spacing: 1px;
	font-weight: normal;
	text-transform: uppercase;
	margin-top: 14px;
	margin-bottom: 6px;
}
.typography dl dd {
	color: #333;
	/*font-family: Arial;*/
	font-size: 10px;
	/*font-weight: normal;*/
	margin-bottom: 10px;
	padding-bottom: 10px;
	border-bottom: 1px #999 solid;
	letter-spacing: 1px;
	line-height: 14px;
}
.typography form {
	margin-bottom: 10px;
}
#MainContent {
	margin-bottom: 24px;
}
/* QUOTES
-------------------------------------------- */
.typography blockquote {
	margin: 10px;
	font-size: 1.4em;
	color: #777;
	font-style: italic;
}	
.typography q {
	display:block;
	font-size: 0.8em;
	margin: 1em 1em;
	padding: 0.5em;
	border: 1px #ccc solid;
}

/* LINKS 
-------------------------------------------- */

.typography a { 
 	text-decoration: none; 
	color: #666;
}
	.typography a:hover { 
 		text-decoration: none;
 		color: #693;
	}

	/* LINK ICONS - shows type of file
	------------------------------------ */
	.typography a[href$=".pdf"],
	.typography a[href$=".PDF"],
	.typography a.pdf {
		padding: 2px;
		padding-left: 20px;
		background: url(../images/icons/page_white_acrobat.png) no-repeat left center;
	}
	.typography a[href$=".doc"],
	.typography a[href$=".DOC"],
	.typography a.doc {
		padding: 2px;
		padding-left: 20px;
		background: url(../images/icons/page_word.png) no-repeat left center;
	}
	.typography a[href$=".xls"],
	.typography a[href$=".XLS"],
	.typography a.xls {
		padding: 2px;
		padding-left: 20px;
		background: url(../images/icons/page_excel.png) no-repeat left center;
	}
	.typography a[href$=".gz"],
	.typography a[href$=".GZ"],
	.typography a[href$=".gzip"],
	.typography a[href$=".GZIP"],
	.typography a[href$=".zip"],
	.typography a[href$=".ZIP"],
	.typography a.archive {
		padding: 2px;
		padding-left: 20px;
		background: url(../images/icons/page_white_zip.png) no-repeat left center;
	}
	.typography a[href$=".exe"],
	.typography a[href$=".EXE"],
	.typography a.application {
		padding: 2px;
		padding-left: 20px;
		background: url(../images/icons/application.png) no-repeat left center;
	}

/* LIST STYLES 
-------------------------------------------- */
.typography ul, 
.typography ol {
	margin: 0 0 18px 24px;
	color: #666;
}
	.typography li {
		margin: 5px 10px;
		font-size: 11px;
	}
		.typography li li {
			font-size: 10px;
		}
/* ITEMS
-------------------------------------------- */
.NewsItem {
	border-bottom: 1px #999 solid;
	margin-bottom: 24px;
	padding-bottom: 10px;
}
.noborder {
	border-bottom: none;
	}
		
/* HomePage Columns
-------------------------------------------- */
#Columns .ColumnHead {
	background: #693;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	padding: 8px;
	margin-bottom: 24px;
}
#Columns .ColumnHead h3 {
	color: #fff;
	font-size: 20px;
	text-align: center;
	margin: 0 0 8px;
}
#Columns .ColumnHead .ColumnImage {
	height: 140px;
	overflow: hidden;
}
#Columns .ColumnHead img {
	border: none;
}

/* PAGINATION 
-------------------------------------------- */	
.typography div#pagination {
	margin: 0;
	/*float: right;*/
	text-align: center;
	height: 24px;
	border-top: 1px #999 solid;		
	}
.typography div#pagination p {	
	color: #666;
	font-size: 12px;
	line-height: 24px;
	}
	
.typography div#pagination a {
	color: #666;
	text-decoration: none;
	}
.typography div#pagination a:hover {
	color: #693;
	text-decoration: none;
	}
.typography div#pagination span.activePageNum {
	color: #333;
	text-decoration: none;
	}
/* PAGER 
-------------------------------------------- */		
.typography .pager {
	float: left;
	height: 30px;
	margin-top: -30px;
	/*background: transparent url(../images/pager_bg.png) repeat-x;*/
	position: relative;
	z-index: 99;
	width: 100%;
	text-align: center;
	/* Mozilla ignores crazy MS image filters, so it will skip the following */
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src='../images/pager_bg.png');
}

/* IE ignores styles with [attributes], so it will skip the following. */
.pager[class] {
	background: transparent url(../images/pager_bg.png) repeat-x;
}	

.typography .pager a {
	color: #999;
	font-size: 20px;
	letter-spacing: 4px;
	line-height: 30px;
	}
.typography .pager a.namepager {
	color: #999;
	font-size: 12px;
	letter-spacing: 1px;
	line-height: 30px;
	margin: 0 10px;
	}	
.typography .pager a.activeSlide {
	color: #333;
	}
.typography .pager a:hover {
	color: #633;
	text-decoration: none;
	}	

	
/* HEADER STYLES 
-------------------------------------------- */
.typography .MainHeadline {
	padding: 5px 0;
	margin-bottom: 16px;
}

.typography .MainHeadline span {
	background: #669933;
	font-style: italic;
	font-weight: bold;
	font-size: 14px;
	font-family: 'Verdana';
	color: #fff;
	padding: 5px;
}

.typography h1,
.typography h2 { 
	color: #535353; 
	margin: 0 0 18px 0;
	font-weight: normal;
	/*text-transform: uppercase;*/
	font-family: 'Verdana';
}

.typography h1 {
	font-size: 24px;
}
.typography h2 { 
 	font-size: 14px; 
 	font-style: italic;
 	color: #333;
 	letter-spacing: 0px;
}	
.typography h3 {
	color: #222;
	margin: 0 0 18px 0;
	font-weight: 300;
	clear: both;
	font-size: 18px;
}
.typography h4 {
	font-size: 16px;
	color: #222;
	width: 95%;
	font-weight: 300;
	line-height: 18px;
	border-bottom: 1px solid #ccc;
	margin: 0 0 16px 0;
}
.typography h5 {
	font-size: 14px;
	color: #222;
	font-weight: 700;
	margin: 0 0 12px 0;
}
.typography h6 {
	font-size: 13px;
	color: #555;
	line-height: 1.4em;
	margin: 0 0 12px 0;
}

/* PRE STYLES 
-------------------------------------------- */	
.typography pre {
	font-family:"Courier New",Courier;
	display:block;
	font-size:1.2em;
	margin:2em 5em;
	padding:0.5em;
	border:1px #ccc solid;
	background:#eee;;
}

/* TABLE STYLING 
-------------------------------------------- */
.typography table {
	margin: 0 0 18px 0;
	font-size: 11px;
	color: #666;
	border-collapse:collapse;
}
	.typography tr {}
	
		.typography td {
			border:1px solid #999;
			padding:5px;
		}

/* WYSIWYG EDITOR ALIGNMENT CLASSES 
-------------------------------------------- */
.typography .left {
	text-align: left;
}
.typography .center {
	text-align: center;
}
.typography .right {
	text-align: right;
}

/* IMAGES 
-------------------------------------------- */
.typography img {
	border: 2px #693 solid;
}
	.typography img.right {
		float: right;
		margin-left: 20px;
	}
	.typography img.left {
		float: left;
		margin: 0 20px 0 0;
	}
	.typography img.leftAlone {
		float: left;
		margin-right: 100%;
	}
	.typography img.center {
		float: none;
		margin-left: auto;
		margin-right: auto;
		display: block;
	}
.typography .grid_6 .captionImage.left,
.typography .grid_6 .captionImage.right {
	display: inline;
	float: left;
	margin-left: 10px;
	margin-right: 10px;
	margin-bottom: 10px;
	width: 220px !important;
}
.typography .grid_6 .captionImage.left {
	margin-left: 0px;
}
.typography .grid_6 .captionImage.right {
	margin-right: 0px;
}